CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Mac
Discussion about CrossOver Mac

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

How to reinstall older version of crossover
Gregg Jensen
Gregg Jensen
Posted 2019-12-18 09:20
I am running Mojave and the game that I am trying to run is Everquest (the first one) and what worked in the older release doesn't in 19.  I have put in a support request, but have gotten nothing back.  So, I want to go back to the older release of crossover.  Is there a download somewhere on this site?
Gregg Jensen
Gregg Jensen
Posted 2019-12-18 09:28
Found it.  Was looking in the wrong direction.
mwooolfe
mwooolfe
Posted 2020-01-02 14:48
This is also a problem for me!  Where did you find the old version and how did you install it?
mwooolfe
mwooolfe
Posted 2020-01-02 15:02
Found it and here are the instructions for anyone else looking to rollback.

1. Download the 18.5.0 version (or which ever you need) from the archives page here: https://www.codeweavers.com/account/downloads/archive
2. Unarchive it and double click it.
3. It will show a popup saying it can move it to the /Applications folder (I just had it do that and overwrite my existing 19.0.0 version).
4. Say yes to upgrade your files on that first startup.
5. Success, Everquest now runs again!

In case anyone at Codeweaver is reading, i was seeing this error on the command line when it was crashing with 19.0.0:
[0102/124257:WARNING:cert_verify_proc_win.cc(108)] Unknown error -2146762482 mapped to net::ERR_FAILED
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Common/ChunkCompression.cpp:49: Error: unsupported compressor 8
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Libraries/CompressData/CompressData.c:353: Error: Unknown compression scheme encountered for file '/System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/Exceptions.plist'
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Common/ChunkCompression.cpp:49: Error: unsupported compressor 8
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Libraries/CompressData/CompressData.c:353: Error: Unknown compression scheme encountered for file '/System/Library/CoreServices/CoreTypes.bundle/Contents/Library/AppExceptions.bundle/Exceptions.plist'
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Common/ChunkCompression.cpp:49: Error: unsupported compressor 8
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Libraries/CompressData/CompressData.c:353: Error: Unknown compression scheme encountered for file '/System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/Exceptions.plist'
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Common/ChunkCompression.cpp:49: Error: unsupported compressor 8
/BuildRoot/Library/Caches/com.apple.xbs/Sources/AppleFSCompression/AppleFSCompression-96.200.3/Libraries/CompressData/CompressData.c:353: Error: Unknown compression scheme encountered for file '/System/Library/CoreServices/CoreTypes.bundle/Contents/Library/AppExceptions.bundle/Exceptions.plist'
wine: Call from 0x7bc630e8 to unimplemented function KERNEL32.dll.EnumSystemFirmwareTables, aborting

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTk4NTQzNTg1fQ==